function p.__get_is_solid() return true end
function p.__get_tex() return "block_chem" end

function p.__main()
    set_default_block("r_chem")
    
    create_rect("e", 1,1,1, 14,14,14)
    --Door.
    create_rect("s", 15,5,5, 15,9,9)
    create_rect("e", 15,6,6, 15,8,8)
    --Door.
    create_rect("s", 5,15,5, 9,15,9)
    create_rect("e", 6,15,6, 8,15,8)
    
    local msg_str = "In the lower half of your screen, you should see "
        .. "a stop sign icon when you press the brake key. "
        .. "This is part of a \"HUD window\". "
    add_bent_s(7,7,9,"bent_base_txt",msg_str)

    msg_str = "On the lower right, "
        .. "you should see an indicator showing you "
        .. "how many diamonds you have.  That indicator is "
        .. "comming from another HUD window that is part of this "
        .. "package (in the file Windows/hud_diamonds.lua). "
    add_bent_s(7,7,7,"bent_base_txt",msg_str)

    msg_str = "You can display whatever you want in the lower half "
        .. "of the screen.\n\n"
        .. "You can also display whatever you want in the upper "
        .. "middle of the screen.\n\n"
        .. "^xff0000However the center of the screen as well "
        .. "as the upper left and upper right are reserved for the "
        .. "engine, so do not display HUD elements there.^! "
    add_bent_s(7,7,5,"bent_base_txt",msg_str)
end
